= tikzsvg(1)
:doctype: manpage
:man-manual: tikztosvg Manual
:man-source: tikztosvg 0.1.2
:page-layout: base

== NAME

tikzsvg - Render TikZ diagrams to SVG.

== SYNOPSIS

*tikzsvg* [_OPTION_]... _INPUT_PATH_

== DESCRIPTION

The tikzsvg(1) command renders TikZ diagrams to SVG.

If _INPUT_PATH_ is set to _-_ the input will be read from stdin.

== OPTIONS

*-o, --output*=_OUTPUT_PATH_::
  Write output to file _OUTPUT_PATH_.
  If set to _-_ the output will be written to stdout.
  Defaults to the base name of the input file suffixed with the _.svg_ 
  extension. The file is resolved relative to the working directory.

*-p, --package*=+_PACKAGE_::
  Include _\usepackage{PACKAGE}_ when rendering the diagram.

*-q, --quiet*::
  Silence application log messages and script warnings.

*-h, --help*::
  Print a help message.

*-v, --version*::
  Prints version information.

== ENVIRONMENT

*tikztosvg* requires _xetex_ and _pdf2svg_ to be installed. Make sure 
any additional LaTeX packages are installed before using them in a diagram.

== EXIT STATUS

*0*::
  Success.

*1*::
  Failure (syntax or usage error; configuration error).

*[n]*::
  Failure (document processing failure).

== AUTHORS

*tikztosvg* was written by Pablo Emilio Escobar Gaviria 
<pablo-escobar@riseup.net>.

*pdf2svg* was written by David Barton <davebarton@cityinthesky.co.uk> and 
Matthew Flaschen <matthew.flaschen@gatech.edu>.

== RESOURCES

*Git source repository on GitLab:* https://gitlab.com/pablo-escobar/tikztosvg

== COPYING

Copyright \(C) 2020 Pablo Emilio Escobar Gaviria.
Free use of this software is granted under the terms of the GPL-3.0 License.

